On- and Off-Ramp Redirect Guide (1.6.0)

Download OpenAPI specification:Download

Mercuryo API

General

Get currency exchange limits

Returns minimum and maximum limits for currency exchange. One currency must be fiat and the other crypto.

Request
query Parameters
widget_id
required
string

Widget ID from the partner dashboard

from
required
string

Source currency code in uppercase

to
required
string

Target currency code in uppercase

type
string
Default: "buy"

Transaction direction

Enum: "buy" "sell"
is_total
boolean
Default: false

Is total amount

amount
string

Transaction amount as a decimal string

network
string

Blockchain network identifier

Responses
200

OK

400

Bad Request

500

Internal Server Error

get/public/currency-limits
Response samples
application/json
{
  • "code": 0,
  • "data": {
    },
  • "message": "",
  • "status": 200
}

Get country data by IP address

Returns country information (ISO 3166-1 alpha-2 code) and phone prefix for the specified IP address. If the IP address is not provided, returns data based on the request IP address.

Request
query Parameters
ip
string

IPv4 or IPv6 address. If not provided, the request IP address is used.

Responses
200

OK

get/public/data-by-ip
Response samples
application/json
{
  • "data": {
    },
  • "status": 0
}

Get exchange rates

Returns exchange rates for all supported currency pairs

Request
query Parameters
widget_id
string

Widget ID from the partner dashboard

use_partner_fee
boolean

Whether to apply the partner fee to the returned rates

use_fee
boolean
Default: true

Whether to include the platform fee in the returned rates

flatten_result
boolean
Default: true

Whether to return rates in a flat key-value format instead of nested objects

is_amount_without_fee
boolean
Default: true

Whether the returned amounts exclude fees

network
string

Blockchain network identifier for layer-2 filtering

Responses
200

OK

get/public/rates
Response samples
application/json
{
  • "Status": 0,
  • "data": {
    }
}